test: _FILE_OBJECT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _FILE_OBJECT Struct Reference

`#include <io.h>`

List of all members.

## Public Attributes

CSHORT | Type
CSHORT | Size
PDEVICE_OBJECT | DeviceObject
PVPB | Vpb
PVOID | FsContext
PVOID | FsContext2
PSECTION_OBJECT_POINTERS | SectionObjectPointer
PVOID | PrivateCacheMap
NTSTATUS | FinalStatus
_FILE_OBJECT * | RelatedFileObject
BOOLEAN | LockOperation
BOOLEAN | DeletePending
BOOLEAN | ReadAccess
BOOLEAN | WriteAccess
BOOLEAN | DeleteAccess
BOOLEAN | SharedRead
BOOLEAN | SharedWrite
BOOLEAN | SharedDelete
ULONG | Flags
UNICODE_STRING | FileName
LARGE_INTEGER | CurrentByteOffset
ULONG | Waiters
ULONG | Busy
PVOID | LastLock
KEVENT | Lock
KEVENT | Event
PIO_COMPLETION_CONTEXT | CompletionContext

## Member Data Documentation

ULONG _FILE_OBJECT::Busy

| Definition at line 1537 of file io.h.

PIO_COMPLETION_CONTEXT _FILE_OBJECT::CompletionContext

| Definition at line 1541 of file io.h. Referenced by IopCompleteRequest(), and IopDeleteFile().

LARGE_INTEGER _FILE_OBJECT::CurrentByteOffset

| Definition at line 1535 of file io.h. Referenced by UdfCommonRead(), and UdfCommonSetInfo().

BOOLEAN _FILE_OBJECT::DeleteAccess

| Definition at line 1529 of file io.h. Referenced by UdfCreateInternalStream().

BOOLEAN _FILE_OBJECT::DeletePending

| Definition at line 1526 of file io.h.

PDEVICE_OBJECT _FILE_OBJECT::DeviceObject

| Definition at line 1517 of file io.h. Referenced by HalpIsOldStyleFloppy(), HalpQueryDriveLayout(), HalpQueryPartitionType(), IoCreateFile(), IopCloseFile(), IopDeleteFile(), IopGetSetSecurityObject(), IopParseDevice(), IopQueryName(), OpenDeviceReparseIndex(), UdfCreateIrpContext(), and UdfInvalidateVolumes().

KEVENT _FILE_OBJECT::Event

| Definition at line 1540 of file io.h. Referenced by IopCloseFile(), IopCompleteRequest(), IopDeleteFile(), IopGetSetSecurityObject(), and IopParseDevice().

UNICODE_STRING _FILE_OBJECT::FileName

| Definition at line 1534 of file io.h. Referenced by FsRecCreate(), IoCreateFile(), IopDeleteFile(), IopGetSetSecurityObject(), IopParseDevice(), MiCompleteProtoPteFault(), MiDispatchFault(), MiSegmentDelete(), MiWriteComplete(), MmPurgeSection(), UdfCommonCreate(), and UdfPerformVerify().

NTSTATUS _FILE_OBJECT::FinalStatus

| Definition at line 1523 of file io.h. Referenced by IopCompleteRequest(), and IopGetSetSecurityObject().

ULONG _FILE_OBJECT::Flags

| Definition at line 1533 of file io.h. Referenced by CcIsThereDirtyData(), CcLazyWriteScan(), FsRtlNotifyFullChangeDirectory(), FsRtlOplockFsctrl(), IoCreateFile(), IopCloseFile(), IopCompleteRequest(), IopDeleteFile(), IopGetSetSecurityObject(), IopParseDevice(), IopQueryName(), UdfCommonCleanup(), UdfCommonRead(), UdfCommonSetInfo(), and UdfCompleteFcbOpen().

PVOID _FILE_OBJECT::FsContext

| Definition at line 1519 of file io.h. Referenced by CcFlushCache(), and FsRtlNotifyFullChangeDirectory().

PVOID _FILE_OBJECT::FsContext2

| Definition at line 1520 of file io.h.

PVOID _FILE_OBJECT::LastLock

| Definition at line 1538 of file io.h.

KEVENT _FILE_OBJECT::Lock

| Definition at line 1539 of file io.h.

BOOLEAN _FILE_OBJECT::LockOperation

| Definition at line 1525 of file io.h. Referenced by IopCloseFile().

PVOID _FILE_OBJECT::PrivateCacheMap

| Definition at line 1522 of file io.h. Referenced by UdfCommonRead(), and UdfDeleteInternalStream().

BOOLEAN _FILE_OBJECT::ReadAccess

| Definition at line 1527 of file io.h. Referenced by UdfCreateInternalStream().

struct _FILE_OBJECT* _FILE_OBJECT::RelatedFileObject

| Definition at line 1524 of file io.h. Referenced by IopGetSetSecurityObject(), IopParseDevice(), UdfCommonCreate(), and UdfPerformVerify().

PSECTION_OBJECT_POINTERS _FILE_OBJECT::SectionObjectPointer

| Definition at line 1521 of file io.h. Referenced by CcDeleteSharedCacheMap(), CcFlushCache(), CcGetVacbMiss(), CcUnmapAndPurge(), CcUnpinRepinnedBcb(), MiRemoveUnusedSegments(), MiSegmentDelete(), NtAreMappedFilesTheSame(), NtCreatePagingFile(), UdfCompleteFcbOpen(), and UdfCreateInternalStream().

BOOLEAN _FILE_OBJECT::SharedDelete

| Definition at line 1532 of file io.h.

BOOLEAN _FILE_OBJECT::SharedRead

| Definition at line 1530 of file io.h.

BOOLEAN _FILE_OBJECT::SharedWrite

| Definition at line 1531 of file io.h.

CSHORT _FILE_OBJECT::Size

| Definition at line 1516 of file io.h. Referenced by IopParseDevice().

CSHORT _FILE_OBJECT::Type

| Definition at line 1515 of file io.h. Referenced by IoCreateFile(), and IopParseDevice().

PVPB _FILE_OBJECT::Vpb

| Definition at line 1518 of file io.h. Referenced by CcIsThereDirtyData(), IopDeleteFile(), IopInvalidateVolumesForDevice(), IopParseDevice(), and UdfCommonCreate().

ULONG _FILE_OBJECT::Waiters

| Definition at line 1536 of file io.h.

BOOLEAN _FILE_OBJECT::WriteAccess

| Definition at line 1528 of file io.h. Referenced by UdfCreateInternalStream().

The documentation for this struct was generated from the following file:

- io.h